[Container]
ContainerName=r_fileserver
Image={{ lookup('ansible.builtin.env','IMAGE_NAME', default='registry.gitlab.com/orangefox/infrastructure/r_fileserver') }}:{{ lookup('ansible.builtin.env','IMAGE_TAG', default='master') }}
PublishPort=8081:8000
Volume=/var/OrangeFox-Releases/:/files/:ro,z
PodmanArgs=--memory=512m
EnvironmentFile=/var/orangefox/r_fileserver.env
HealthCmd=/bin/wget -qO- http://localhost:8000/status | grep -q "passed" || exit 1
HealthOnFailure=restart
HealthInterval=5s
HealthRetries=3
HealthStartPeriod=20s

[Service]
Restart=always

[Install]
WantedBy=default.target network-online.target